package com.ywt.outpatient.domain.entity.center;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Id;
import javax.persistence.Table;
import java.util.Date;

@Entity
@Table(name = "attention")
public class Attention {

    @Id
    private Integer id;

    /**
     * 用户ID
     */
    @Column(name = "user_id",nullable = false)
    private Integer userId;

    /**
     * 被关注者ID
     */
    @Column(name = "attention_id",nullable = false)
    private Integer attentionId;

    /**
     * 被关注者类型：1-医院（对应hospital表）
     */
    @Column(name = "type",nullable = false)
    private Integer type;

    /**
     * 是否删除，false（0）：不删除，true（1）：删除
     */
    @Column(name = "deleted",nullable = false)
    private Boolean deleted;

    /**
     * 创建时间
     */
    @Column(name = "create_time",nullable = false)
    private Date createTime;

    /**
     * 更新时间
     */
    @Column(name = "update_time",nullable = false)
    private Date updateTime;

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public Integer getUserId() {
        return userId;
    }

    public void setUserId(Integer userId) {
        this.userId = userId;
    }

    public Integer getAttentionId() {
        return attentionId;
    }

    public void setAttentionId(Integer attentionId) {
        this.attentionId = attentionId;
    }

    public Integer getType() {
        return type;
    }

    public void setType(Integer type) {
        this.type = type;
    }

    public Boolean getDeleted() {
        return deleted;
    }

    public void setDeleted(Boolean deleted) {
        this.deleted = deleted;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }
}
